/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */
#ifndef _GLASSCLIPBOARD_H 
#define _GLASSCLIPBOARD_H 

extern jfieldID fidPtr;
extern jmethodID midContentChanged;
extern jmethodID midActionPerformed;

inline IDataObject *getPtr(JNIEnv *env, jobject obj)
{
    return reinterpret_cast<IDataObject *>(env->GetLongField(obj, fidPtr));
}

inline void setPtr(JNIEnv *env, jobject obj, IDataObject *p)
{
    env->SetLongField(obj, fidPtr, reinterpret_cast<jlong>(p));
}

typedef DWORD DROPEFFECT;

DROPEFFECT getDROPEFFECT(jint actions);

jint getACTION(DROPEFFECT df);

#endif //_GLASSCLIPBOARD_H 